package com.tenlionsoft.baselib.core.db.beans;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 4:29 下午
 * 邮箱: itgaojian@163.com
 * 描述: 账户流水
 */
@Entity(tableName = "user_account_item")
public class UserAccountItemBean {
    @NonNull
    @PrimaryKey
    private int id;//` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '账户流水自增主键',
    @ColumnInfo(name = "uid")
    private String uid;//` char(36) NOT NULL COMMENT '账户流水36位主键',
    @ColumnInfo(name = "account_old_money")
    private int accountOldMoney;//` bigint(20) DEFAULT NULL COMMENT '流水前金额(整数)',
    @ColumnInfo(name = "account_now_money")
    private int accountNowMoney;//` bigint(20) DEFAULT NULL COMMENT '当前剩余金额(整数)',
    @ColumnInfo(name = "account_item_mode")
    private String accountItemMode;//` char(1) DEFAULT NULL COMMENT '账户明细1:出账,2:进账',
    @ColumnInfo(name = "account_item_money")
    private int accountItemMoney;//` bigint(20) DEFAULT NULL COMMENT '本次流水金额(整数)',
    @ColumnInfo(name = "account_item_remark")
    private String accountItemRemark;//` varchar(1500) DEFAULT NULL COMMENT '流水内容',
    @ColumnInfo(name = "account_id")
    private String accountId;//` char(36) DEFAULT NULL COMMENT '关联账户36位主键',
    @ColumnInfo(name = "subscribe_id")
    private String subscribeId;//` char(36) DEFAULT NULL COMMENT '关联的一餐订单36位主键(订单流水存入的时候.方便关联查询)',
    @ColumnInfo(name = "charge_id")
    private String chargeId;//` char(36) DEFAULT NULL COMMENT '关联的充值记录36位主键(充值流水存入的时候.方便关联查询)',
    @ColumnInfo(name = "sync_number")
    private int syncNumber;//` bigint(20) DEFAULT NULL,
    @ColumnInfo(name = "creator")
    private String creator;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_create")
    private String gmtCreate;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "modifier")
    private String modifier;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_modified")
    private String gmtModified;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "is_delete")
    private String isDelete;//` char(1) DEFAULT NULL,
    @ColumnInfo(name = "is_update")
    private String isUpdate;//是否需要更新  0否 1是

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public int getAccountOldMoney() {
        return accountOldMoney;
    }

    public void setAccountOldMoney(int accountOldMoney) {
        this.accountOldMoney = accountOldMoney;
    }

    public int getAccountNowMoney() {
        return accountNowMoney;
    }

    public void setAccountNowMoney(int accountNowMoney) {
        this.accountNowMoney = accountNowMoney;
    }

    public String getAccountItemMode() {
        return accountItemMode;
    }

    public void setAccountItemMode(String accountItemMode) {
        this.accountItemMode = accountItemMode;
    }

    public int getAccountItemMoney() {
        return accountItemMoney;
    }

    public void setAccountItemMoney(int accountItemMoney) {
        this.accountItemMoney = accountItemMoney;
    }

    public String getAccountItemRemark() {
        return accountItemRemark;
    }

    public void setAccountItemRemark(String accountItemRemark) {
        this.accountItemRemark = accountItemRemark;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public String getSubscribeId() {
        return subscribeId;
    }

    public void setSubscribeId(String subscribeId) {
        this.subscribeId = subscribeId;
    }

    public String getChargeId() {
        return chargeId;
    }

    public void setChargeId(String chargeId) {
        this.chargeId = chargeId;
    }

    public int getSyncNumber() {
        return syncNumber;
    }

    public void setSyncNumber(int syncNumber) {
        this.syncNumber = syncNumber;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    public String getIsUpdate() {
        return isUpdate;
    }

    public void setIsUpdate(String isUpdate) {
        this.isUpdate = isUpdate;
    }
}
